# Uses of Enum Class
org.apache.lucene.queries.spans.SpanWeight.Postings

Packages that use SpanWeight.Postings
Package
Description
org.apache.lucene.queries.payloads
The payloads package provides Query mechanisms for finding and using payloads.
org.apache.lucene.queries.spans
The calculus of spans.

- ## Uses of SpanWeight.Postings in org.apache.lucene.queries.payloads

  Methods in org.apache.lucene.queries.payloads with parameters of type SpanWeight.Postings
  Modifier and Type
  Method
  Description
  `Spans`
  SpanPayloadCheckQuery.SpanPayloadCheckWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`

- ## Uses of SpanWeight.Postings in org.apache.lucene.queries.spans

  Methods in org.apache.lucene.queries.spans that return SpanWeight.Postings
  Modifier and Type
  Method
  Description
  `SpanWeight.Postings`
  SpanWeight.Postings.`atLeast(SpanWeight.Postings postings)`
  `static SpanWeight.Postings`
  SpanWeight.Postings.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpanWeight.Postings[]`
  SpanWeight.Postings.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.queries.spans with parameters of type SpanWeight.Postings
  Modifier and Type
  Method
  Description
  `SpanWeight.Postings`
  SpanWeight.Postings.`atLeast(SpanWeight.Postings postings)`
  `Spans`
  SpanContainingQuery.SpanContainingWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  Return spans from `big` that contain at least one spans from `little`.
  `Spans`
  SpanNearQuery.SpanNearWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  `Spans`
  SpanNotQuery.SpanNotWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  `Spans`
  SpanOrQuery.SpanOrWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  `Spans`
  SpanPositionCheckQuery.SpanPositionCheckWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  `Spans`
  SpanTermQuery.SpanTermWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  `abstract Spans`
  SpanWeight.`getSpans(LeafReaderContext ctx, SpanWeight.Postings requiredPostings)`
  Expert: Return a Spans object iterating over matches from this Weight
  `Spans`
  SpanWithinQuery.SpanWithinWeight.`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
  Return spans from `little` that are contained in a spans from `big`.